From: Elias Huhsovitz <e.huhsovitz@proxmox.com>
To: pve-devel@lists.proxmox.com
Cc: Elias Huhsovitz <e.huhsovitz@proxmox.com>
Subject: [PATCH proxmox 3/3] build.sh: utilize CONTROL variable
Date: Tue, 29 Sep 2026 14:31:04 +0200 [thread overview]
Message-ID: <20260929123104.129264-4-e.huhsovitz@proxmox.com> (raw)
In-Reply-To: <20260929123104.129264-1-e.huhsovitz@proxmox.com>
Signed-off-by: Elias Huhsovitz <e.huhsovitz@proxmox.com>
---
build.sh | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/build.sh b/build.sh
index dcf1eb97..e1fc7e2d 100755
--- a/build.sh
+++ b/build.sh
@@ -18,8 +18,8 @@ CONTROL="$PWD/${CRATE}/debian/control"
if [ -e "$CONTROL" ]; then
# check but only warn, debcargo fails anyway if crates are missing
- dpkg-checkbuilddeps $PWD/${CRATE}/debian/control || true
- [ -z "$NOCONTROL" ] && rm -f "$PWD/${CRATE}/debian/control"
+ dpkg-checkbuilddeps "$CONTROL" || true
+ [ -z "$NOCONTROL" ] && rm -f "$CONTROL"
fi
debcargo package \
--
2.47.3
prev parent reply other threads:[~2026-09-29 12:31 UTC|newest]
Thread overview: 4+ messages / expand[flat|nested] mbox.gz Atom feed top
2026-09-29 12:31 [PATCH proxmox 0/3] minor cleanup of build.sh Elias Huhsovitz
2026-09-29 12:31 ` [PATCH proxmox 1/3] build.sh: remove redundant quotes in paths Elias Huhsovitz
2026-09-29 12:31 ` [PATCH proxmox 2/3] build.sh: replace legacy empty string check with -z Elias Huhsovitz
2026-09-29 12:31 ` Elias Huhsovitz [this message]
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20260929123104.129264-4-e.huhsovitz@proxmox.com \
--to=e.huhsovitz@proxmox.com \
--cc=pve-devel@lists.proxmox.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.